
Infrastructure - Task #1401

Story # 1388 (Closed): implement MN-MN replication manager in CN stack

Update System Metadata during replication

2011-03-01 18:54 - Robert Waltz

Status: Closed Start date: 2011-03-01

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.7.0 Story Points:  

Product Version: *   

Description

The ReplicationService class needs to maintain the status of replicated objects by updating the system metadata for that object while

replication is occurring.  This includes:

1) Adding new Relicas to the list

2) Updating the Replica list, showing the ReplicationStatus as QUEUED, COMPLETE, etc. during the processing

This will be done by locking the object in the shared Hazelcast object lock, and then performing the modifications to the system

metadata.

History

#1 - 2011-05-23 18:33 - Robert Waltz

- Assignee set to Robert Waltz

#2 - 2011-08-16 17:15 - Robert Waltz

- Category set to d1_replication

- Assignee changed from Robert Waltz to Chris Jones

- Milestone set to CCI-0.7.0

#3 - 2011-08-25 14:23 - Chris Jones

- Subject changed from Replica list should be updated to Update System Metadata during replication

#4 - 2011-09-09 15:53 - Chris Jones

- Status changed from New to Closed

Implemented in ReplicationService.
